v1.0

get

/ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/dataelements/subjectId/{subjectId}

Retrieves all the data elements records for a subject inserted or updated after a visit completion and for a particular date range. This API is developed based on the downstream services like Digital Gateway requirements.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    active
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    ABCDEF1234567890ABCDEF1234567890
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    93CC828113AC439181071CB44D2C6FE5
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DataElementDto50
Type: object
Data element extension adding dataFlag identifier inherited by higher versions
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : RestResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top